Subject: Re: [#3844867] - Manufacturing defects Senato 3-seater velvet sofa bed
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Tue, 01 Mar 2022 04:43:10 +0000

Hi Team,  Please advise if any update on the below.  Regards, M.Murshed